Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.plaf.windows
Class WindowsTipOfTheDayUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.PanelUI
              org.jdesktop.swingx.plaf.TipOfTheDayUI
                  org.jdesktop.swingx.plaf.basic.BasicTipOfTheDayUI
                      org.jdesktop.swingx.plaf.windows.WindowsTipOfTheDayUI

    public class WindowsTipOfTheDayUI

extends BasicTipOfTheDayUI

Windows implementation of the TipOfTheDayUI.

Author:
  Frederic Lavigne

Nested Class Summary
`static class` | `WindowsTipOfTheDayUI.TipAreaBorder`

Field Summary

Fields inherited from class org.jdesktop.swingx.plaf.basic.BasicTipOfTheDayUI
`changeListener, currentTipComponent, tipArea, tipFont, tipPane`

Constructor Summary
`WindowsTipOfTheDayUI(JXTipOfTheDay tipPane)`

Method Summary
`javax.swing.JDialog` | `createDialog(java.awt.Component parentComponent, JXTipOfTheDay.ShowOnStartupChoice choice)` Creates a new JDialog to display a JXTipOfTheDay panel.
`static javax.swing.plaf.ComponentUI` | `createUI(javax.swing.JComponent c)`
`protected void` | `installComponents()`

Methods inherited from class org.jdesktop.swingx.plaf.basic.BasicTipOfTheDayUI
`createChangeListener, createDialog, getPreferredSize, installDefaults, installKeyboardActions, installListeners, installUI, showCurrentTip, uninstallComponents, uninstallDefaults, uninstallListeners, uninstallUI`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, paint, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WindowsTipOfTheDayUI

    public WindowsTipOfTheDayUI(JXTipOfTheDay tipPane)

Method Detail

### createUI

    public static javax.swing.plaf.ComponentUI createUI(javax.swing.JComponent c)

### createDialog

    public javax.swing.JDialog createDialog(java.awt.Component parentComponent,
                                            JXTipOfTheDay.ShowOnStartupChoice choice)

  Description copied from class: `TipOfTheDayUI`
  Creates a new JDialog to display a JXTipOfTheDay panel. If `choice` is not null then the window will offer a way for the end-user to not show the tip of the day dialog.

  Overrides:
    `createDialog` in class `BasicTipOfTheDayUI`
  Returns:
    a new JDialog to display a JXTipOfTheDay panel

### installComponents

    protected void installComponents()

  Overrides:
    `installComponents` in class `BasicTipOfTheDayUI`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.